import { h } from '@stencil/core';
export class BsBadge {
  constructor() {
    this.variant = 'secondary';
    this.pill = false;
    this.href = undefined;
  }
  render() {
    const TagName = this.href ? 'a' : 'span';
    return (h(TagName, { href: this.href, class: `
                    badge 
                    badge-${this.variant}
                    ${this.pill ? 'badge-pill' : ''}
                ` }, h("slot", null)));
  }
  static get is() { return "bs-badge"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-badge.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-badge.css"]
    };
  }
  static get properties() {
    return {
      "variant": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "Variant",
          "resolved": "string",
          "references": {
            "Variant": {
              "location": "import",
              "path": "../../shared/types"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "variant",
        "reflect": false,
        "defaultValue": "'secondary'"
      },
      "pill": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "pill",
        "reflect": false,
        "defaultValue": "false"
      },
      "href": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "href",
        "reflect": false
      }
    };
  }
}
//# sourceMappingURL=bs-badge.js.map
