import { h, Host } from '@stencil/core';
import { ConditionalWrapper } from '../../shared/components';
export class BsBreadcrumb {
  constructor() {
    this.href = undefined;
    this.linkTitle = undefined;
    this.active = false;
    this.target = undefined;
  }
  render() {
    return (h(Host, { class: `breadcrumb-item ${this.active ? 'active' : ''}`, "aria-current": this.active ? 'page' : null }, h(ConditionalWrapper, { condition: this.href, wrapper: children => h("a", { href: this.href, target: this.target, title: this.linkTitle }, children) }, h("slot", null))));
  }
  static get is() { return "bs-breadcrumb"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-breadcrumb.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-breadcrumb.css"]
    };
  }
  static get properties() {
    return {
      "href": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "href",
        "reflect": false
      },
      "linkTitle": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "link-title",
        "reflect": false
      },
      "active": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "active",
        "reflect": false,
        "defaultValue": "false"
      },
      "target": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "target",
        "reflect": false
      }
    };
  }
}
//# sourceMappingURL=bs-breadcrumb.js.map
