import { h, Host } from '@stencil/core';
export class BsBreadcrumbs {
  constructor() {
    this.separator = '/';
    this.ariaLabel = 'breadcrumb';
  }
  render() {
    return (h(Host, { "aria-label": this.ariaLabel }, h("slot", null), h("style", null, `
                    :host {
                        --breadcrumb-separator: "${this.separator}";
                    }
                `)));
  }
  static get is() { return "bs-breadcrumbs"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-breadcrumbs.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-breadcrumbs.css"]
    };
  }
  static get properties() {
    return {
      "separator": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "separator",
        "reflect": false,
        "defaultValue": "'/'"
      },
      "ariaLabel": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "aria-label",
        "reflect": false,
        "defaultValue": "'breadcrumb'"
      }
    };
  }
}
//# sourceMappingURL=bs-breadcrumbs.js.map
