import { html } from 'lit-html'

export default {
    title: 'Bootstrap/Breadcrumbs',
    component: 'bs-breadcrumbs',
}

export const example = props => html`
    <bs-breadcrumbs separator="${props.separator}" aria-label="${props['aria-label']}">
        <bs-breadcrumb href="#">Home</bs-breadcrumb>
        <bs-breadcrumb href="#">Library</bs-breadcrumb>
        <bs-breadcrumb active>Data</bs-breadcrumb>
    </bs-breadcrumbs>
`

example.argTypes = {
    separator: {
        control: {
            type: 'text',
        }
    },
    'aria-label': {
        control: {
            type: 'text',
        }
    },
}

example.args = {
    separator: '/',
    'aria-label': 'breadcrumb',
}
