import { h } from '@stencil/core';
export class BsFormLabel {
  constructor() {
    this.htmlFor = undefined;
    this.srcOnly = false;
    this.column = false;
  }
  render() {
    return (h("label", { htmlFor: this.htmlFor }, h("slot", null)));
  }
  static get is() { return "bs-form-label"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-form-label.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-form-label.css"]
    };
  }
  static get properties() {
    return {
      "htmlFor": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "html-for",
        "reflect": false
      },
      "srcOnly": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "src-only",
        "reflect": false,
        "defaultValue": "false"
      },
      "column": {
        "type": "any",
        "mutable": false,
        "complexType": {
          "original": "boolean | 'sm' | 'lg'",
          "resolved": "\"lg\" | \"sm\" | boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "column",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
}
//# sourceMappingURL=bs-form-label.js.map
