import { h, Host } from '@stencil/core';
export class BsListGroup {
  constructor() {
    this.horizontal = undefined;
    this.flush = false;
  }
  render() {
    return (h(Host, { class: `list-group ${this.flush ? 'list-group-flush' : ''}` }, h("slot", null)));
  }
  static get is() { return "bs-list-group"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-list-group.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-list-group.css"]
    };
  }
  static get properties() {
    return {
      "horizontal": {
        "type": "any",
        "mutable": false,
        "complexType": {
          "original": "HorizontalLayout",
          "resolved": "\"lg\" | \"md\" | \"sm\" | \"xl\" | boolean",
          "references": {
            "HorizontalLayout": {
              "location": "local",
              "path": "/Users/aadebayo/Repositories/stenciljs-bootstrap/src/components/bs-list-group/bs-list-group.tsx"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "horizontal",
        "reflect": false
      },
      "flush": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "flush",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
}
//# sourceMappingURL=bs-list-group.js.map
