import { h, Host } from '@stencil/core';
/**
 * @slot default - the modal dialog's content
 */
export class BsModalDialog {
  constructor() {
    this.width = 500;
    this.scrollable = false;
    this.centered = false;
  }
  render() {
    return (h(Host, { class: `modal-dialog ${this.scrollable ? 'modal-dialog-scrollable' : ''} ${this.centered ? 'modal-dialog-centered' : ''}`, style: {
        width: this.width ? `${this.width}px` : null,
        maxWidth: this.width ? `${this.width}px` : null
      } }, h("div", { class: "modal-content" }, h("slot", null))));
  }
  static get is() { return "bs-modal-dialog"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-modal-dialog.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-modal-dialog.css"]
    };
  }
  static get properties() {
    return {
      "width": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "change the width of the modal"
        },
        "attribute": "width",
        "reflect": false,
        "defaultValue": "500"
      },
      "scrollable": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "if the content of the dialog should be scrollable"
        },
        "attribute": "scrollable",
        "reflect": false,
        "defaultValue": "false"
      },
      "centered": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "if the content of the dialog should be vertically centered"
        },
        "attribute": "centered",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
}
//# sourceMappingURL=bs-modal-dialog.js.map
