import { h, Host } from '@stencil/core';
export class BsNavItem {
  constructor() {
    this.active = false;
    this.disabled = false;
    this.href = undefined;
    this.role = 'listitem';
    this.variant = undefined;
  }
  render() {
    return (h(Host, { class: "nav-item", role: this.role }, h("a", { class: `
                        nav-link 
                        ${this.variant ? `nav-${this.variant}` : ''}
                        ${this.active ? 'active' : ''} 
                        ${this.disabled ? 'disabled' : ''}
                    `, href: this.href }, h("slot", null))));
  }
  static get is() { return "bs-nav-item"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-nav-item.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-nav-item.css"]
    };
  }
  static get properties() {
    return {
      "active": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "active",
        "reflect": false,
        "defaultValue": "false"
      },
      "disabled": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "disabled",
        "reflect": false,
        "defaultValue": "false"
      },
      "href": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "href",
        "reflect": false
      },
      "role": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "role",
        "reflect": false,
        "defaultValue": "'listitem'"
      },
      "variant": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "NavVariant",
          "resolved": "\"pills\" | \"tabs\"",
          "references": {
            "NavVariant": {
              "location": "import",
              "path": "../bs-nav/bs-nav"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "variant",
        "reflect": false
      }
    };
  }
}
//# sourceMappingURL=bs-nav-item.js.map
