import { html } from 'lit-html'

export default {
    title: 'Bootstrap/Pagination/Page Item',
    component: 'bs-page-item',
}

const argTypes = {
    text: {
        control: {
            type: 'text'
        }
    },
    size: {
        control: {
            type: 'select',
            options: ['', 'sm', 'lg']
        }
    },
    active: {
        control: {
            type: 'boolean'
        }
    },
    disabled: {
        control: {
            type: 'boolean'
        }
    },
}

const args = {
    text: '2',
    size: '',
    active: false,
    disabled: false,
}

export const Default = props => html`
    <bs-page-item active="${props.active}" disabled="${props.disabled}" size="${props.size}">
        ${props.text}
    </bs-page-item>
`

Default.argTypes = { ...argTypes }
Default.args = { ...args }
