import { h, Host } from '@stencil/core';
export class BsSpinner {
  constructor() {
    this.animation = 'border';
    this.variant = undefined;
    this.size = undefined;
    this.loadingText = 'Loading...';
    this.role = 'status';
  }
  render() {
    return (h(Host, { class: `
                    spinner-${this.animation} 
                    text-${this.variant} 
                    ${this.size ? `spinner-${this.animation}-sm` : ''}
                `, role: this.role }, h("span", { class: "sr-only" }, this.loadingText)));
  }
  static get is() { return "bs-spinner"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-spinner.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-spinner.css"]
    };
  }
  static get properties() {
    return {
      "animation": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "SpinnerAnimation",
          "resolved": "\"border\" | \"grow\"",
          "references": {
            "SpinnerAnimation": {
              "location": "local",
              "path": "/Users/aadebayo/Repositories/stenciljs-bootstrap/src/components/bs-spinner/bs-spinner.tsx"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "animation",
        "reflect": false,
        "defaultValue": "'border'"
      },
      "variant": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "Variant",
          "resolved": "string",
          "references": {
            "Variant": {
              "location": "import",
              "path": "../../shared/types"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "variant",
        "reflect": false
      },
      "size": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "SpinnerSize",
          "resolved": "\"sm\"",
          "references": {
            "SpinnerSize": {
              "location": "local",
              "path": "/Users/aadebayo/Repositories/stenciljs-bootstrap/src/components/bs-spinner/bs-spinner.tsx"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "size",
        "reflect": false
      },
      "loadingText": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "loading-text",
        "reflect": false,
        "defaultValue": "'Loading...'"
      },
      "role": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "role",
        "reflect": false,
        "defaultValue": "'status'"
      }
    };
  }
}
//# sourceMappingURL=bs-spinner.js.map
