const TYPE_FOR_UNKNOWN_TYPES = 'doc';
export const services = [
  { type: 'data', icon: 'fa-database', description: 'Data request' },
  { type: 'doc', icon: 'fa-file-alt', description: 'Document request' },
  { type: 'alert', icon: 'fa-warning', description: 'Alerts document request' },
  { type: 'data-in-action', icon: 'fa-newspaper-o', description: 'Data-in-Action document request' },
  { type: 'data-release', icon: 'fa-newspaper-o', description: 'Data-Release document request' },
  { type: 'faq', icon: 'fa-question', description: 'FAQs document request' },
  { type: 'glossary', icon: 'fa-info', description: 'Glossary document request' },
  { type: 'howto', icon: 'i-howto', description: 'How-To document request' },
  { type: 'image', icon: 'fa-picture-o', description: 'Image document request' },
  { type: 'news', icon: 'fa-newspaper-o', description: 'News document request' },
  { type: 'service-release', icon: 'fa-newspaper', description: 'Service-Release document request' },
  { type: 'tool', icon: 'fa-wrench', description: 'Tools document request' },
  { type: 'publication', icon: 'fa-book', description: 'Publication document request' },
  { type: 'download', icon: 'fa-download', description: 'Subset / Download data' },
];
/**
 * returns a configuration item for the given service, will use a default service if an unknown type is provided
 * @param type
 */
export function getServiceConfigByType(type) {
  return services.find(service => service.type === type) || getServiceConfigByType(TYPE_FOR_UNKNOWN_TYPES);
}
//# sourceMappingURL=services.js.map
