import { EventEmitter } from '../../stencil-public-runtime';
export declare class BsFormCheck {
  el: HTMLElement;
  /**
   * This specifies what type of input is.
   */
  type?: 'checkbox' | 'radio';
  /**
   * The input id.
   */
  controlId?: string;
  /**
   * Determines selected item.
   */
  checked?: boolean;
  /**
   * The name of input
   */
  name?: string;
  /**
   * Determines the orientation of radio and checkbox to horizontal.
   */
  inline?: boolean;
  /**
   * Disables the radio or checkbox from edit or copy.
   */
  disabled?: boolean;
  /**
   * The value of the input
   */
  value: string | string[] | number;
  /**
   * Sets the width/height of the checkbox
   */
  size: number;
  /**
   * The event is emitted on keyboard input
   */
  bsInput: EventEmitter;
  render(): any;
}
