import { EventEmitter } from '../../stencil-public-runtime';
export declare class BsModal {
  /**
   * whether the modal is visible or not
   */
  show: boolean;
  /**
   * if static, the modal will not close when the backdrop is clicked
   */
  static: boolean;
  /**
   * whether to use a backdrop or not
   */
  backdrop: boolean;
  /**
   * open and close the modal with a slide and fade animation
   */
  animation: boolean;
  /**
   * change the width of the modal
   */
  width: number;
  /**
   * if content inside the modal should be scrollable
   */
  scrollable: boolean;
  /**
   * if content inside the modal should be vertically centered
   */
  centered: boolean;
  /**
   * open event is triggered when the modal is opened
   */
  open: EventEmitter;
  /**
   * close event is triggered when the modal is closed
   */
  close: EventEmitter;
  /**
   * internal visibility tracking
   */
  showModal: boolean;
  /**
   * on component load, show dialog if needed
   */
  componentDidLoad(): void;
  /**
   * open or close the dialog when the show property changes
   */
  showChanged(): void;
  /**
   * an exposed method to show the dialog
   */
  showDialog(): Promise<void>;
  /**
   * an exposed method to hide the dialog
   */
  closeDialog(): Promise<void>;
  /**
   * equivalent to closeDialog()
   */
  hideDialog(): Promise<void>;
  /**
   * renders the modal component
   */
  render(): any;
}
