/**
 * @slot default - the "label" for the page item would go here (a page number, a next icon, etc.)
 */
export declare class BsPageItem {
  /**
   * optional, size of the page item
   */
  size: 'sm' | 'lg';
  /**
   * whether the item should be styled as active
   */
  active: boolean;
  /**
   * whether the item should be disabled
   */
  disabled: boolean;
  /**
   * the href for the item, if needed
   */
  href: string;
  /**
   * An accessible label indicating the active state
   */
  activeLabel: string;
  /**
   * renders the page item
   */
  render(): any;
}
