import { EventEmitter } from '../../stencil-public-runtime';
import "toastify-js/src/toastify.css";
export declare class BsToast {
  /**
   * The header name of the toast
   */
  name?: string;
  /**
   * The header name of the toast
   */
  message: string;
  /**
   * Position of the toast
   */
  position: "left" | "center" | "right";
  /**
   * Position of the toast
   */
  gravity: "top" | "bottom";
  /**
   * When `true` The toast will show itself.
   */
  show: boolean;
  /**
  * Delay hiding the toast (ms)
  */
  autohide: boolean;
  /**
   *
   * Delay hiding the toast (ms)
   */
  delay: number;
  /**
   * toast destination
   */
  href?: string;
  /**
   * href in newWindow
   */
  newWindow?: boolean;
  /**
   * make toast closable
   */
  canClose?: boolean;
  el: HTMLElement;
  hasOpened: boolean;
  delayRemove: ReturnType<typeof setTimeout>;
  toast: any;
  /**
   * Emitted on close of toast
   */
  close: EventEmitter;
  /**
   * Emitted on the open of toast
   */
  open: EventEmitter;
  /**
   * Opens the toast
   */
  toastOpen(): Promise<void>;
  /**
   * Closes the toast
   */
  toastClose(): Promise<void>;
  componentDidLoad(): void;
  render(): any;
}
