import { Placement } from '@popperjs/core';
export declare class BsTooltip {
  /**
     * where the tooltip should appear (see: https://popper.js.org/docs/v2/constructors/#options)
   */
  placement: Placement;
  /**
     * used to control the tooltip visiblity manually, rather than relying on toggle hover
   */
  show: boolean;
  /**
   * for simple tooltips, text to display in the tooltip (or use a slot for complex tooltip content)
   */
  tooltipContent: string;
  /**
     * internal visiblity of the tooltip
     */
  _visible: boolean;
  el: HTMLElement;
  private _toggle;
  private _content;
  private _popper;
  /**
     * sets up the initial state of the tooltip
  */
  componentDidLoad(): void;
  /**
     * if placement changes after the tooltip is initialized, change the placement option used in Popper.js
     */
  updateTooltipOptions(): void;
  /**
    * allows external access to showing/hiding the tooltip
    */
  showChanged(show: any): void;
  /**
   * A method exposed on bs-tooltip elements to show the tooltip
   */
  showTooltip(): Promise<void>;
  /**
   * A method exposed on bs-tooltip elements to hide the tooltip
   */
  hideTooltip(): Promise<void>;
  /**
   * A method exposed on bs-tooltip elements to toggle the tooltips visibility
   */
  toggleTooltip(): Promise<void>;
  /**
   * creates a new Popper instance
   */
  private initializeTooltip;
  /**
   * adds mouse events to the toggle element
   */
  private addToggleEvents;
  /**
   * the toggle element could either be the button in the toggle slot or the last button in the toggle slot
  */
  private getToggleElement;
  render(): any;
}
